View Issue Details

IDProjectCategoryView StatusLast Update
0002372SymmetricDSImprovementpublic2015-10-02 10:23
ReportermscAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.20 
Target Version3.7.22Fixed in Version3.7.22 
Summary0002372: allow SQL-LookupColumnTransform access to OLD-Column values
Descriptionwith my patch every sql-lookup-table-transform can access the old column value in their query using the ":OLD_COLUMN" syntax.

TagsNo tags attached.

Activities

msc

2015-08-17 03:10

reporter   ~0000711

Last edited: 2015-08-25 05:21

View 2 revisions

Patch: https://github.com/NiasSt90/symmetric-ds/commit/6f4aaf874a008477a33fae962bcd70d4d50de22d

now you can access previously transformed values too with :TRM_COLUMN_NAME syntax.

chenson

2015-09-11 16:10

administrator   ~0000720

Can you create a pull request for each of your issues on github? That way you can get credit for your contributions :-)

Related Changesets

SymmetricDS: 3.7 6f4aaf87

2015-08-17 03:09:49

msc

Details Diff
0002372: allow SQL-LookupColumnTransform access to OLD-Column values and previously transformed columns values (TRM_COLUMN_NAME)
0002372
mod - symmetric-assemble/src/asciidoc/configuration/transforms/types.ad Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/LookupColumnTransform.java Diff File

Issue History

Date Modified Username Field Change
2015-08-17 03:09 msc New Issue
2015-08-17 03:10 msc Note Added: 0000711
2015-08-25 05:21 msc Note Edited: 0000711 View Revisions
2015-09-11 16:10 chenson Note Added: 0000720
2015-09-11 16:13 chenson Target Version => 3.7.22
2015-09-24 11:34 chenson Fixed in Version => 3.7.22
2015-09-24 15:00 msc Changeset attached => SymmetricDS 3.7 6f4aaf87
2015-09-25 10:52 chenson Status new => resolved
2015-09-25 10:52 chenson Resolution open => fixed
2015-09-25 10:52 chenson Assigned To => chenson
2015-10-02 10:23 chenson Status resolved => closed